# xmms-xmms-cdread.spec
%define version 0.8a
%define release 1
%define name xmms-cdread
%define prefix /usr

Summary: Input plugin that reads audio data from CDs
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Multimedia
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: GPL
Url: http://www.thehouse.org/~seth/geek/audio/
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

Requires: xmms
BuildRequires: xmms-devel
%description
At the moment, the idea is to add /dev/cdrom to your playlist.
If you have multiple CDROM units (like a burner) you can add all
those devices to the playlist and it should work.

I know this exists already, but that's such an uugly hack I decided to
make my own version, which actually reads the audio data, and will also
not need the subdirectory trick to get the tracks into the playlist:
The tracks will be added and removed automatically as CDs are inserted
and removed.

It now has CDDB support, local database editing as well as server queries.

%changelog
* Sun Dec  5 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- initialization of spec file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO cddb.howto
/usr/lib/xmms/Input/*

%clean
rm -rf $RPM_BUILD_ROOT
# end of file
